package de.jottyfan.csv2camt;

import java.io.IOException;

import de.jottyfan.csv2camt.csv.CsvBean;
import de.jottyfan.csv2camt.csv.CsvParser;
import de.jottyfan.csv2camt.xml.CamtWriter;

/**
 * 
 * @author jotty
 * 
 */
public class Converter {

	private CsvBean bean;
	private String filenamePrefix;

	public Converter readCsv(String filename) throws IOException {
		String s = filename.contains("/") ? filename.substring(filename.lastIndexOf("/") + 1) : filename;
		filenamePrefix = s.contains(".") ? s.substring(0, s.indexOf(".")) : s;
		bean = new CsvParser().read(filename);
		return this;
	}

	public void writeCamt() {
		new CamtWriter().write(bean, filenamePrefix.concat(".camt"));
	}
}
